#!/usr/bin/env python
# -+- encoding: utf8 -+-

from xml.dom.minidom import *
import csv, codecs

carto= parse('carto.svg')
data=  csv.reader(open ('carto.csv', 'r'))

def set_class (node, nId, nValue):
	if node.attributes and node.attributes.has_key('id') and node.attributes['id'].value == nId:
		print nId, ":", node.attributes['class'].value, '=>', nValue
		node.attributes['class'].value= nValue
	if node.hasChildNodes():
		for n in node.childNodes:
			set_class (n, nId, nValue)

for nId, nValue in data:
	set_class (carto, nId, nValue)

codecs.open('carto2.svg', 'w', 'utf8').write(carto.toxml())
